<?php
/*
*
* Donation Page Plugin
* Copyright 2009-2010 MyBBWebHost, all rights reserved.
* http://www.mybbwebhost.com
* This plugin is provided as-as.  You may edit the plugin as you please, but you may not remove this in-file copyright.
* You may not distribute this plugin or claim it as your own.
*
*/

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("build_friendly_wol_location_end", "donationpage_online");

// Plugin Information
function donationpage_info()
{
    return array(
        "name"        => "Darowizny",
        "description" => "Dodaje na stronę możliwość darowizn.",
        "website"     => "http://www.mybbwebhost.com",
        "author"      => "MyBBWebHost",
        "authorsite"  => "http://www.mybbwebhost.com",
        "version"     => "2.1",
	"compatibility" => "*",
	"guid"        => "6dd78c94f6ead4eb1770080da7668f63 ",
        );
}

function donationpage_is_installed()
{
	global $db;

if ($db->num_rows($db->simple_select("settings","name","name='dp_title'")) >= 1)	
{
		return true;
	}

	return false;
}

// Install and Activate
function donationpage_activate() {

global $db;

    $dp_group = array(
        "gid" => "NULL",
        "name" => "donationpage",
        "title" => "Darowizny",
        "description" => "Konfiguracja wpłat na stronę.",
        "disporder" => "35",
        "isdefault" => "no",
        );
    $db->insert_query("settinggroups", $dp_group);
    $gid = $db->insert_id();
    
    $dp_1 = array(
        "sid" => "NULL",
        "name" => "dp_title",
        "title" => "Tytuł strony darowizn",
        "description" => "Tytuł będzie wyświetlany na stronie darowizn.",
        "optionscode" => "text",
        "value" => "Donation Page",
        "disporder" => "1",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_1);

    $dp_2 = array(
        "sid" => "NULL",
        "name" => "dp_guests",
        "title" => "Goście",
        "description" => "Czy goście mogą dawać darowiznę?",
        "optionscode" => "yesno",
        "value" => "1",
        "disporder" => "2",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_2);

    $dp_3 = array(
        "sid" => "NULL",
        "name" => "dp_currency",
        "title" => "Waluta",
        "description" => "Jaką walutą chcesz być dotowany?",
        "optionscode" => "select
USD= Dolar Amerykański
AUD= Dolar Australijski
GBP= Funt Brytyjski
CAD= Dolar Kanadyjski
JPY= Jen Japoński
DKK= Korona Duńska
HKD= Dolar Hong Kong
JPY= Jen Japoński
CHF= Frank Szwajcarski
PLN= Złoty Polski
SGD= Dolar Singapore
EUR= Euro",
        "value" => "PLN",
        "disporder" => "3",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_3);

    $dp_4 = array(
        "sid" => "NULL",
        "name" => "dp_email",
        "title" => "E-Mail PayPal",
        "description" => "Podaj swój adres e-mail PayPal?",
        "optionscode" => "text",
        "value" => "paypal@mybbwebhost.com",
        "disporder" => "4",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_4);

    $dp_5 = array(
        "sid" => "NULL",
        "name" => "dp_message",
        "title" => "Wiadomość darowizny",
        "description" => "Co chciałbyś umieścić na stronie darowizny? (dozwolone HTML)",
        "optionscode" => "textarea",
        "value" => "Chcesz pokazać jak bardzo zależy Ci na naszym forum? Utrzymanie naszego mocnego serwera, opłacanie domeny, promocja strony, konserwacja i optymalizacja skryptu forum oraz bazy danych, większe bezpieczeństwo danych, konsultacje ze specjalistami od baz danych i losowe wydarzenia związane z istnieniem forum jak np. ataki DDoS a wszystko to kosztuje. Dużo. Na pewno Twoja pomoc zostanie dobrze wykorzystana. Obecnie wszystkie koszty ponosi administrator z własnej kieszeni. Dlatego oferujemy sposób w jaki możesz przekazać i pomóc nam na utrzymanie forum oraz serwera.<br /><br />Sugerowana darowizna wynosi 10 PLN, nie jest to zbyt dużo, ale będziemy wdzięczni za wszystkie datki, duże i małe. Całość darowizny zostanie wykorzystana na nasze forum, i żadna ktowa nie będzie wykorzystana do wydatków osobistych. Aby rozpocząć darowizny, wystarczy wpisać kwotę i kliknąć <strong>Przekaż darowiznę</strong>.",
        "disporder" => "5",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_5);

    $dp_6 = array(
        "sid" => "NULL",
        "name" => "dp_value",
        "title" => "Polecana kwota darowizny",
        "description" => "Ustaw kwotę, którą chcesz polecić użytkowników do darowizny na forum. Kwota pojawi się w polu tekstowym. Domyślnie kwoty nie zawierają symboli walut.",
        "optionscode" => "text",
        "value" => "10.00",
        "disporder" => "6",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_6);

    $dp_7 = array(
        "sid" => "NULL",
        "name" => "dp_minimum",
        "title" => "Minimalna kwota darowizny",
        "description" => "Jest to minimalna kwota wymagana do darowizny - Polecana: 1, Wyłączenie: 0. Liczby dziesiętne są dozwolone. Kwoty nie zawierają symboli walut.",
        "optionscode" => "text",
        "value" => "1",
        "disporder" => "7",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_7);

    $dp_8 = array(
        "sid" => "NULL",
        "name" => "dp_credits",
        "title" => "Pokazać linię autora?",
        "description" => "Jeśli jesteś bardzo wdzięczny za plugin, możesz ustawić na dole strony darowizny link do autora pluginu. Nie jest to wymagane.",
        "optionscode" => "yesno",
        "value" => "1",
        "disporder" => "8",
        "gid" => intval($gid),
        );
    $db->insert_query("settings", $dp_8);

$insert_array = array(
		'title' => 'donation_page',
		'template' => $db->escape_string('<html>
<head>
<title>{$mybb->settings[\'bbname\']} - {$mybb->settings[\'dp_title\']}</title>
{$headerinclude}
{$formcheck}
</head>
<body>
{$header}
<table border="0" cellspacing="{$theme[\'borderwidth\']}" cellpadding="{$theme[\'tablespace\']}" class="tborder">
<tr>
<td class="thead"><strong>{$mybb->settings[\'dp_title\']}</strong></td>
</tr>
<tr>
<td width="100%" class="trow1">
{$message}
{$paypalform}
{$credits}
</td>
</tr>
</table>
{$footer}
</body>
</html>'),
		'sid' => '-1',
		'version' => '',
		'dateline' => TIME_NOW
	);
	
	$db->insert_query("templates", $insert_array);


rebuildsettings();

}

// Deactivate and Uninstall
function donationpage_deactivate() {

global $db, $mybb;
    require "../inc/adminfunctions_templates.php";
    $query = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name='donationpage'");
    $g = $db->fetch_array($query);
    $db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE gid='".$g['gid']."'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE gid='".$g['gid']."'");
    $db->delete_query("templates","title='donation_page'");

rebuildsettings();

global $db;

}

function donationpage_online(&$plugin_array)
{
if (preg_match('/donate\.php/',$plugin_array['user_activity']['location']))
{
$plugin_array['location_name'] = "<a href=\"donate.php\">Darowizny</a>";
}

return $plugin_array;
}
?>